
QGIS Application - Bug report #12423

Processing - Bar Plot (QGIS) doesn't plot string "category name field"

2015-03-21 01:54 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20595

Description

Using the attached data, plot test2 with "nome" as Category name field and "shape_area" as value field.

All bar plot category are "none".

History

#1 - 2015-03-21 01:59 AM - Luca Lanteri

Same problem with "mean and standard deviation plot". It works with numeric value.

#2 - 2015-03-22 03:01 AM - Giovanni Manghi

- Operating System deleted (Mint)

- OS version deleted (17)

- Affected QGIS version changed from 2.8.1 to master

#3 - 2015-05-21 11:19 PM - Alexander Bruy

How you can draw plot when both fields (mean and stddev, name and value) contains strings or dates?

#4 - 2015-05-21 11:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2015-06-20 06:04 AM - Luca Lanteri

Maybe I miss something. What kind of feedback is needed ?

Thanks

Luca

#6 - 2015-11-10 06:05 AM - Giovanni Manghi

- Status changed from Feedback to Open

still valid on master.

#7 - 2016-01-18 04:18 AM - Alexander Bruy

2024-03-13 1/2



- Status changed from Open to Feedback

I don't think this is a bug. To plot we need two sets of numbers: one for X values and second for Y. How we can create plot if X or Y values are strings?

I can change algorithms to disable non numeric fields, if this helps.

#8 - 2016-03-25 06:22 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed in master

Files

test2.zip 59.7 KB 2015-03-21 Luca Lanteri

test.html.png 12 KB 2015-03-21 Luca Lanteri
